package com.hcloud.microservice.org.bo;

import com.hcloud.microserver.commoncore.base.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * @author xiezt
 */
@Data
public class BaseRoleUserBO extends BaseEntity {

    /**
     * 用户Id
     */
    private String userId;

    /**
     * 机构guid
     */
    private String fkOrgGuid;

    /**
     * 账号
     */
    private String account;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 性别编码
     */
    private Integer dicSexCode;

    /**
     * 最后登陆时间
     */
    private Date lastLoginTime;

    /**
     * 是否禁用
     */
    private Integer isForbid;

    /**
     * 备注
     */
    private String remark;

    /**
     * 机构名称
     */
    private String orgName;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色ID
     */
    private String roleId;

}
