package com.hcloud.microservice.org.bo;

import com.hcloud.microserver.commoncore.base.BaseEntity;
import lombok.Data;

/** 角色权限BO
 * @author xiezt
 */
@Data
public class BaseUserAuthBO extends BaseEntity {

    /**
     * 用户guid
     */
    private String fkUserGuid;

    /**
     * 权限guid
     */
    private String fkFunGuid;

    /**
     * 权限父类guid
     */
    private String parentGuid;

    /**
     * 权限url
     */
    private String url;

    /**
     * 权限名称
     */
    private String funName;

    /**
     * 权限字符串
     */
    private String authStr;

    /**
     * 权限图标
     */
    private String ico;

    /**
     * 排序信息
     */
    private Integer orderBy;
}
