package com.hcloud.microservice.org.dao;


import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.org.bo.BaseRoleUserBO;
import com.hcloud.microservice.org.facade.entity.BaseRole;
import com.hcloud.microservice.org.facade.forms.BaseRoleForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author  xiezt
 */
public interface BaseRoleMapper extends BaseMapper<BaseRole,String> {

    /**
     * 分页查询角色信息
     * @param pageBean
     * @return
     */
    Page<BaseRole> searchRoleInfoByPage(PageBean<BaseRoleForm> pageBean);

    /**
     * 通过角色Id查询角色下辖用户信息
     * @param roleId
     * @return
     */
    List<BaseRoleUserBO> searchUserInfoByRoleId(@Param("guid") String roleId);
}