package com.hcloud.microservice.org.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.org.bo.BaseOrgAuthBO;
import com.hcloud.microservice.org.facade.entity.BaseOrg;
import com.hcloud.microservice.org.facade.forms.BaseAuthForm;
import com.hcloud.microservice.org.facade.forms.BaseOrgAuthForm;
import com.hcloud.microservice.org.facade.forms.BaseOrgForm;

import java.util.List;

public interface BaseOrgService extends BaseServie<BaseOrg,String>  {

    /**
     * 分页查询机构信息
     * @param baseOrgForm
     * @return
     */
    PageInfo searchOrgInfoByPage(BaseOrgForm baseOrgForm);

    /**
     * 机构管理查询中查询机构权限
     * @param orgGuid
     * @return
     */
    List<BaseOrgAuthForm> searchAllOrgAuthInfo(String orgGuid);

    /**
     * 获取机构菜单权限
     * @param orgGuid
     * @return
     */
    List<BaseOrgAuthForm> searchMenuAuthInfo(String orgGuid);

}
