package com.hcloud.microservice.org.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microservice.org.facade.entity.BasePosition;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xiezt
 */
public interface BasePositionMapper extends BaseMapper<BasePosition,Integer> {
    /**
     * 通过编码查询区域信息
     * @param code
     * @return
     */
    BasePosition getBasePositionByCode(@Param("areaCode") String code);

    /**
     * 通过父编码查询区域信息
     * @param parentCode
     * @return
     */
    List<BasePosition> getBasePositionByParentCode(@Param("parentCode") String parentCode);
}