package com.hcloud.microservice.org.dao;


import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.org.bo.BaseRoleUserBO;
import com.hcloud.microservice.org.facade.entity.BaseRoleUser;
import com.hcloud.microservice.org.facade.forms.BaseRoleUserForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BaseRoleUserMapper extends BaseMapper<BaseRoleUser,String> {

    /**
     * 查询角色用户信息（角色下有哪些用户，用户拥有哪些角色）
     * @param page
     * @return
     */
    Page<BaseRoleUserBO> searchRoleUserInfoByPage(PageBean<BaseRoleUserForm> page);


    /**
     * 通过用户UI移除角色用户信息
     * @param userId
     * @param orgGuid
     * @return
     */
    int delRoleUserInfoByUserId(@Param("id") String userId,@Param("oguid") String orgGuid);
}