package com.hcloud.microservice.org.dao;


import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.org.bo.BaseUserBO;
import com.hcloud.microservice.org.facade.entity.BaseUser;
import com.hcloud.microservice.org.facade.forms.BaseUserForm;
import org.apache.ibatis.annotations.Param;

/**
 * @author xiezt
 */
public interface BaseUserMapper extends BaseMapper<BaseUser,String> {

    /**
     * 分页查询用户基本信息
     * @param pageBean
     * @return
     */
    Page<BaseUserBO> searchUserInfoByPage(PageBean<BaseUserForm> pageBean);

    /**
     * 通过用户账号查询用户信息
     * @param account
     * @return
     */
    BaseUser getUserInfoByAccount(@Param("account") String account);

    BaseUser selectAccountNotSelf(BaseUserForm BaseUserForm);
}