package com.hcloud.microservice.org.service;

import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.org.facade.entity.BasePosition;
import com.hcloud.microservice.org.facade.forms.BasePositionForm;

import java.util.List;

/**
 * @author xiezt
 */
public interface BasePositionService extends BaseServie<BasePosition,Integer> {

    /**
     * 通过编码查询区域信息
     * @param code
     * @return
     */
    BasePositionForm getBasePositionByCode(String code);


    /**
     * 通过父编码查询区域信息
     * @param parentCode
     * @return
     */
    List<BasePositionForm> getBasePositionByParentCode(String parentCode);
}
